
import { _decorator, Component, Node } from 'cc';
const { ccclass, property } = _decorator;

/**
 * Predefined variables
 * Name = NewComponent_002
 * DateTime = Fri Feb 11 2022 16:00:43 GMT+0800 (中国标准时间)
 * Author = unbrella_man
 * FileBasename = NewComponent-002.ts
 * FileBasenameNoExtension = NewComponent-002
 * URL = db://assets/NewComponent-002.ts
 * ManualUrl = https://docs.cocos.com/creator/3.4/manual/en/
 *
 */
 
@ccclass('NewComponent_002')
export class NewComponent_002 extends Component {
    
    @property(Node)
    panel!: Node;

    @property(Node)
    btn!: Node;

    @property(Node)
    btnClose!: Node;

    start () {
        this.btn.on(Node.EventType.TOUCH_END, () => {
            this.panel.active = true;
        })
        this.btnClose.on(Node.EventType.TOUCH_END, () => {
            this.panel.active = false;
        })
    }

    // update (deltaTime: number) {
    //     // [4]
    // }
}

/**
 * [1] Class member could be defined like this.
 * [2] Use `property` decorator if your want the member to be serializable.
 * [3] Your initialization goes here.
 * [4] Your update function goes here.
 *
 * Learn more about scripting: https://docs.cocos.com/creator/3.4/manual/en/scripting/
 * Learn more about CCClass: https://docs.cocos.com/creator/3.4/manual/en/scripting/decorator.html
 * Learn more about life-cycle callbacks: https://docs.cocos.com/creator/3.4/manual/en/scripting/life-cycle-callbacks.html
 */
